function h()
{
	obj=document.elementFromPoint(event.x,event.y)
	if(obj.tagName=="IMG")
	{	
		if (obj.src.indexOf('-')>-1)
		{
			obj.parentElement.parentElement.className='div_h';
			obj.src=obj.src.replace('-.gif','+.gif')
		}
		else
		{
			obj.parentElement.parentElement.className='';
			obj.src=obj.src.replace('+.gif','-.gif')
		}
		
	}
	
	if (obj.tagName=="A")
	{
		var divs=document.all.dirList.all
		for (var i=0;i<divs.length;i++)
		{
			if(divs[i].className=='selected'){divs[i].className='div_s'}
		}
		obj.parentElement.className='selected'
		obj.parentElement.parentElement.className='';
		var objimg=obj.parentElement.all[0]
		objimg.src=objimg.src.replace('+.gif','-.gif')
	}
}
function marginLeft(obj)
{
	o=obj.all
	
	for(i=0;i<o.length;i++)
	{
		if (o[i].tagName=="DIV")
		{
			var c=-1
			op=o[i]
			while(op.id!='dirList')
			{
				op=op.parentElement
				c++;
			}
			if(o[i].className!='')o[i].style.paddingLeft=c*12+'px';
			
		}
	}
}

function show_hidden(id)
{
	var str=eval("div_"+id).innerHTML
	str=str.replace(/&nbsp;/g,"")
	if (str!="")
	{
		(eval("div_"+id).style.display=='none')?(eval("div_"+id).style.display='',eval("img_"+id).src="images/-.gif"):(eval("div_"+id).style.display='none',eval("img_"+id).src="images/+.gif");
		return;
	}//
	else//说明没有载入过数据
	{
		eval("div_"+id).style.display=''
		blank.location="tree_show_hidden.asp?classID="+id//载入数据页
	}
}
function show(id)
{
	eval("div_"+id).style.display=''//显示
	eval("img_"+id).src="images/-.gif"

	var arr=document.getElementsByTagName('div')//取得span
	for(var i=0;i<arr.length;i++)
	{
		if(arr[i].id.indexOf("div__")>-1)
		{
			arr[i].className=''//清空包含span_的span
		}
	}
	eval("div__"+id).className="left_bg_2"//设置当前被点的class
}
